PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Functions
FIR Filter Functions
PDL API Reference » AUTONOMOUS ANALOG (Autonomous Analog Block) » SAR ADC (Successive-Approximation Register Analog to Digital Converter) » Functions

## General Description

## Functions
__STATIC_INLINE uint8_t | Cy_AutAnalog_SAR_FIRgetLimitStatus (uint8_t sarIdx)
| Provides the range detect status for the ADC FIR filter output. More...
__STATIC_INLINE void | Cy_AutAnalog_SAR_FIRclearLimitStatus (uint8_t sarIdx, uint8_t firMask)
| Clears the range detect status for the ADC FIR filters. More...
__STATIC_INLINE uint8_t | Cy_AutAnalog_SAR_FIRgetResultStatus (uint8_t sarIdx)
| Provides the result updated status for the FIR filter output. More...
__STATIC_INLINE void | Cy_AutAnalog_SAR_FIRclearResultStatus (uint8_t sarIdx, uint8_t firMask)
| Clears the result update status for the ADC FIR filter output. More...
__STATIC_INLINE int32_t | Cy_AutAnalog_SAR_FIRreadResult (uint8_t sarIdx, uint8_t firIdx)
| Provides an FIR filter result. More...
cy_en_autanalog_status_t | Cy_AutAnalog_SAR_FIRloadCoeff (uint8_t sarIdx, uint8_t firIdx, uint8_t firCoeffNum, const int16_t *firCoeffArr)
| Loads the ADC FIR filter coefficients. More...

## Function Documentation

## ◆ Cy_AutAnalog_SAR_FIRgetLimitStatus()

__STATIC_INLINE uint8_t Cy_AutAnalog_SAR_FIRgetLimitStatus | ( | uint8_t | sarIdx | ) |

Provides the range detect status for the ADC FIR filter output.

The ADC sets this bit for each FIR filter when the filtering result meets the condition specified by the cy_stc_autanalog_sar_fir_cfg_t::firLimit and configured in cy_stc_autanalog_sar_sta_t::limitCond.

Parameters

  sarIdx | The index of the ADC subsystem within the Autonomous Analog, see cy_stc_autanalog_cfg_t::sar.

Returns
  The range detect status for the ADC FIR filter output. Compare this value with one of the masks for the FIR filters.

Note
  Under invalid ADC index, "zero" returns in the result.

## ◆ Cy_AutAnalog_SAR_FIRclearLimitStatus()

__STATIC_INLINE void Cy_AutAnalog_SAR_FIRclearLimitStatus | ( | uint8_t | sarIdx,
|  | uint8_t | firMask
| ) |  |

Clears the range detect status for the ADC FIR filters.

See Cy_AutAnalog_SAR_FIRgetLimitStatus

Parameters

  sarIdx | The index of the ADC subsystem within the Autonomous Analog, see cy_stc_autanalog_cfg_t::sar.

Note
  Under invalid ADC index, the function has no effect.

Parameters

  firMask | The combined mask for the FIR filters that require a reset of their range detect status.

## ◆ Cy_AutAnalog_SAR_FIRgetResultStatus()

__STATIC_INLINE uint8_t Cy_AutAnalog_SAR_FIRgetResultStatus | ( | uint8_t | sarIdx | ) |

Provides the result updated status for the FIR filter output.

The ADC sets this bit for each FIR filter when the filter result is updated.

Parameters

  sarIdx | The index of the ADC subsystem within the Autonomous Analog, see cy_stc_autanalog_cfg_t::sar.

Returns
  The result update status for the FIR filter output. Compare this value with one of the masks for the FIR filters.

Note
  Under invalid ADC index, "zero" returns in the result.

## ◆ Cy_AutAnalog_SAR_FIRclearResultStatus()

__STATIC_INLINE void Cy_AutAnalog_SAR_FIRclearResultStatus | ( | uint8_t | sarIdx,
|  | uint8_t | firMask
| ) |  |

Clears the result update status for the ADC FIR filter output.

See Cy_AutAnalog_SAR_FIRgetResultStatus

Parameters

  sarIdx | The index of the ADC subsystem within the Autonomous Analog, see cy_stc_autanalog_cfg_t::sar.

Note
  Under invalid ADC index, the function has no effect.

Parameters

  firMask | The combined mask for the FIR filters that require a reset of their result update status.

## ◆ Cy_AutAnalog_SAR_FIRreadResult()

__STATIC_INLINE int32_t Cy_AutAnalog_SAR_FIRreadResult | ( | uint8_t | sarIdx,
|  | uint8_t | firIdx
| ) |  |

Provides an FIR filter result.

Parameters

  sarIdx | The index of the ADC subsystem within the Autonomous Analog, see cy_stc_autanalog_cfg_t::sar.
  firIdx | The index of the FIR filter within the ADC, see cy_stc_autanalog_sar_t::firNum.

Returns
  The FIR filter output data.

Note
  Under invalid ADC index, "zero" returns in the result.

## ◆ Cy_AutAnalog_SAR_FIRloadCoeff()

cy_en_autanalog_status_t Cy_AutAnalog_SAR_FIRloadCoeff | ( | uint8_t | sarIdx,
|  | uint8_t | firIdx,
|  | uint8_t | firCoeffNum,
|  | const int16_t * | firCoeffArr
| ) |  |

Loads the ADC FIR filter coefficients.

Parameters

  sarIdx | The index of the ADC subsystem within the Autonomous Analog, see cy_stc_autanalog_cfg_t::sar.
  firIdx | The index of the FIR filter within the ADC, see cy_stc_autanalog_sar_t::firNum.
  firCoeffNum | The number of the FIR filter coefficients in the array.
  firCoeffArr | The pointer to the array of the FIR filter coefficients.

Returns
  Status of execution, cy_en_autanalog_status_t.